Bug 234177 - irc/znc-push: fix build with GCC-based architectures
Summary: irc/znc-push: fix build with GCC-based architectures
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-19 19:12 UTC by Piotr Kubaj
Modified: 2018-12-22 01:14 UTC (History)
2 users (show)

See Also:
dor.bsd: maintainer-feedback+


Attachments
patch (320 bytes, patch)
2018-12-19 19:12 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-12-19 19:12:17 UTC
Created attachment 200281 [details]
patch

This port needs USES=compiler:c++11-lang to build with GCC architectures.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 David O'Rourke 2018-12-20 10:42:59 UTC
Sorry for the delay in accepting this, I was reading up on what this option was actually doing, etc.

Thanks for the patch!
Comment 2 David O'Rourke 2018-12-20 10:43:26 UTC
Comment on attachment 200281 [details]
patch

Accepting patch.
Comment 3 David O'Rourke 2018-12-20 10:44:56 UTC
Comment on attachment 200281 [details]
patch

Bugzilla doesn't seem to be allowing me to set "maintainer-approval: +" on this, but I do approve.
Comment 4 commit-hook freebsd_committer 2018-12-22 01:14:14 UTC
A commit references this bug:

Author: linimon
Date: Sat Dec 22 01:13:17 UTC 2018
New revision: 488037
URL: https://svnweb.freebsd.org/changeset/ports/488037

Log:
  This port needs USES=compiler:c++11-lang to build with GCC-based
  architectures.

  PR:		234177
  Submitted by:	Piotr Kubaj
  Approved by:	maintainer

Changes:
  head/irc/znc-push/Makefile